#!/usr/bin/env node

/**
 * Test for run.js
 * Runs with nodeunit.
 */

"use strict";

var create = require('./create'),
    fs = require('fs');

var context = {
    logger: {
        info: function () {
        },
        debug: function () {
        },
        trace: function () {
        }
    }
};

exports['Create and run'] = function (test) {
    var workDirname = 'tmp/_test_work_dir' + new Date().getTime();
    var task = create([__dirname, workDirname]);
    task(context, function (err) {
        fs.rmdirSync(workDirname);
        test.ifError(err);
        test.done();
    });
};

